Functions
stm32l4xx_it.h File Reference

This file contains the headers of the interrupt handlers. More...

Go to the source code of this file.

## Functions
void | NMI_Handler (void)
| This function handles Non maskable interrupt. More...
void | HardFault_Handler (void)
| This function handles Hard fault interrupt. More...
void | MemManage_Handler (void)
| This function handles Memory management fault. More...
void | BusFault_Handler (void)
| This function handles Prefetch fault, memory access fault. More...
void | UsageFault_Handler (void)
| This function handles Undefined instruction or illegal state. More...
void | SVC_Handler (void)
| This function handles System service call via SWI instruction. More...
void | DebugMon_Handler (void)
| This function handles Debug monitor. More...
void | PendSV_Handler (void)
| This function handles Pendable request for system service. More...
void | SysTick_Handler (void)
| This function handles System tick timer. More...
void | RTC_WKUP_IRQHandler (void)
| This function handles RTC wake-up interrupt through EXTI line 20. More...
void | EXTI3_IRQHandler (void)
| This function handles EXTI line3 interrupt. More...
void | DMA1_Channel2_IRQHandler (void)
| This function handles DMA1 channel2 global interrupt. More...
void | DMA1_Channel3_IRQHandler (void)
| This function handles DMA1 channel3 global interrupt. More...
void | DMA1_Channel6_IRQHandler (void)
| This function handles DMA1 channel6 global interrupt. More...
void | DMA1_Channel7_IRQHandler (void)
| This function handles DMA1 channel7 global interrupt. More...
void | I2C2_EV_IRQHandler (void)
| This function handles I2C2 event interrupt. More...
void | USART2_IRQHandler (void)
| This function handles USART2 global interrupt. More...
void | EXTI15_10_IRQHandler (void)
| This function handles EXTI line[15:10] interrupts. More...
void | RTC_Alarm_IRQHandler (void)
| This function handles RTC alarm interrupt through EXTI line 18. More...

## Detailed Description

This file contains the headers of the interrupt handlers.

Attention

##
© Copyright (c) 2022 STMicroelectronics. All rights reserved.

This software component is licensed by ST under BSD 3-Clause license, the "License"; You may not use this file except in compliance with the License. You may obtain a copy of the License at: opensource.org/licenses/BSD-3-Clause

Definition in file stm32l4xx_it.h.

## Function Documentation

## ◆ BusFault_Handler()

void BusFault_Handler | ( | void |  | ) |

This function handles Prefetch fault, memory access fault.

Definition at line 125 of file stm32l4xx_it.c.

## ◆ DebugMon_Handler()

void DebugMon_Handler | ( | void |  | ) |

This function handles Debug monitor.

Definition at line 171 of file stm32l4xx_it.c.

## ◆ DMA1_Channel2_IRQHandler()

void DMA1_Channel2_IRQHandler | ( | void |  | ) |

This function handles DMA1 channel2 global interrupt.

Definition at line 251 of file stm32l4xx_it.c.

## ◆ DMA1_Channel3_IRQHandler()

void DMA1_Channel3_IRQHandler | ( | void |  | ) |

This function handles DMA1 channel3 global interrupt.

Definition at line 266 of file stm32l4xx_it.c.

## ◆ DMA1_Channel6_IRQHandler()

void DMA1_Channel6_IRQHandler | ( | void |  | ) |

This function handles DMA1 channel6 global interrupt.

Definition at line 281 of file stm32l4xx_it.c.

## ◆ DMA1_Channel7_IRQHandler()

void DMA1_Channel7_IRQHandler | ( | void |  | ) |

This function handles DMA1 channel7 global interrupt.

Definition at line 296 of file stm32l4xx_it.c.

## ◆ EXTI15_10_IRQHandler()

void EXTI15_10_IRQHandler | ( | void |  | ) |

This function handles EXTI line[15:10] interrupts.

Definition at line 341 of file stm32l4xx_it.c.

## ◆ EXTI3_IRQHandler()

void EXTI3_IRQHandler | ( | void |  | ) |

This function handles EXTI line3 interrupt.

Definition at line 236 of file stm32l4xx_it.c.

## ◆ HardFault_Handler()

void HardFault_Handler | ( | void |  | ) |

This function handles Hard fault interrupt.

Definition at line 93 of file stm32l4xx_it.c.

## ◆ I2C2_EV_IRQHandler()

void I2C2_EV_IRQHandler | ( | void |  | ) |

This function handles I2C2 event interrupt.

Definition at line 311 of file stm32l4xx_it.c.

## ◆ MemManage_Handler()

void MemManage_Handler | ( | void |  | ) |

This function handles Memory management fault.

Definition at line 109 of file stm32l4xx_it.c.

## ◆ NMI_Handler()

void NMI_Handler | ( | void |  | ) |

This function handles Non maskable interrupt.

Definition at line 77 of file stm32l4xx_it.c.

## ◆ PendSV_Handler()

void PendSV_Handler | ( | void |  | ) |

This function handles Pendable request for system service.

Definition at line 185 of file stm32l4xx_it.c.

## ◆ RTC_Alarm_IRQHandler()

void RTC_Alarm_IRQHandler | ( | void |  | ) |

This function handles RTC alarm interrupt through EXTI line 18.

Definition at line 356 of file stm32l4xx_it.c.

## ◆ RTC_WKUP_IRQHandler()

void RTC_WKUP_IRQHandler | ( | void |  | ) |

This function handles RTC wake-up interrupt through EXTI line 20.

Definition at line 221 of file stm32l4xx_it.c.

## ◆ SVC_Handler()

void SVC_Handler | ( | void |  | ) |

This function handles System service call via SWI instruction.

Definition at line 157 of file stm32l4xx_it.c.

## ◆ SysTick_Handler()

void SysTick_Handler | ( | void |  | ) |

This function handles System tick timer.

Definition at line 199 of file stm32l4xx_it.c.

## ◆ UsageFault_Handler()

void UsageFault_Handler | ( | void |  | ) |

This function handles Undefined instruction or illegal state.

Definition at line 141 of file stm32l4xx_it.c.

## ◆ USART2_IRQHandler()

void USART2_IRQHandler | ( | void |  | ) |

This function handles USART2 global interrupt.

Definition at line 326 of file stm32l4xx_it.c.